/*
 * rdr_remote_observer.h
 *
 */

#ifndef RDR_REMOTE_OBSERVER_H_
#define RDR_REMOTE_OBSERVER_H_

//extern void rdr_remote_observer_send(unsigned int type, unsigned int timetag, const void* data, unsigned int size_bytes);
enum { ROBS_MARKER=0x53424F52U};

extern void rdr_remote_observer_send(const void* data, unsigned int size_bytes, unsigned int size_byte_spt=0, unsigned int n_spt=0);

extern void rdr_remote_observer_synchronize(unsigned int timetag, unsigned int synch_wd);


extern void rdr_remote_observer_bite_add(unsigned int id, const void* data, unsigned int size_bytes);

extern void rdr_remote_observer_bite_flush(void);

extern void rdr_remote_observer_set_unit_id(unsigned int id);

extern bool rdr_remote_observer_connected();

#endif /* RDR_REMOTE_OBSERVER_H_ */
